#! /bin/bash

for i in bin/ip bin/tc lib/libiprouteutil.so lib/libnetlink.so; do
	adb push $1/system/$i /sdcard/
done

function adb_root() {
	adb shell su sh -c "$@"
}

function cp_chmod() {
	adb_root "cp /sdcard/$1 /system/$2/"
	adb_root "chmod $3 /system/$2/$1"
}

adb_root "mount -o remount,rw /system"

cp_chmod "libnetlink.so" "lib" "644"
cp_chmod "libiprouteutil.so" "lib" "644"
cp_chmod "tc" "bin" "755"
cp_chmod "ip" "bin" "755"

adb_root "mount -o remount,ro /system"

